Skip to main content
POST
/
amlyze-ws-rest
/
validate-batch-customers
Validate batch of customers without saving
curl --request POST \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/validate-batch-customers' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customers": [
    {
      "communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
      "requester": "SYSTEMX",
      "businessUnit": "sandbox",
      "action": "CREATE",
      "riskLevel": "LOW",
      "riskManagementCategory": "IND",
      "customerExtId": "IndividualExtId0",
      "customerStatus": "ACTIVE",
      "entityType": "INDIVIDUAL",
      "applicationDate": "2016-01-01",
      "firstName": "Tomas",
      "lastName": "Garcia",
      "citizenshipCountry": "LT"
    },
    {
      "communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
      "requester": "SYSTEMX",
      "businessUnit": "sandbox",
      "action": "CREATE",
      "riskLevel": "LOW",
      "riskManagementCategory": "ORG",
      "entityType": "ORGANIZATION",
      "customerExtId": "OrganizationExtId0",
      "customerStatus": "ACTIVE",
      "applicationDate": "2016-01-01",
      "title": "LTD Bull",
      "registrationCountry": "LV",
      "legalForm": "CORPORATION"
    }
  ]
}
'
{
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "results": [
    {
      "businessUnit": "<string>",
      "communicationNumber": "<string>",
      "customerExtId": "<string>",
      "errorCode": "<string>",
      "errorDescription": "<string>",
      "resultType": "REQUEST_ACCEPTED",
      "timeElapsedMs": 123
    }
  ],
  "timeElapsedMs": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customers
object[]
required

Response

OK

errorCode
string
errorDescription
string
results
object[]
timeElapsedMs
integer<int64>